AviaSkins.Forums

AviaSkins.Forums (http://forum.aviaskins.com/index.php)
-   Вопросы новичков (http://forum.aviaskins.com/forumdisplay.php?f=45)
-   -   Установка Энджин 2.7 + ДжетЭра1.33 на 4.12.2+САСАктиватор5.3+САС ИИ5.30 (http://forum.aviaskins.com/showthread.php?t=3580)

Toobone 17.12.2013 16:20

Установка Энджин 2.7 + ДжетЭра1.33 на 4.12.2+САСАктиватор5.3+САС ИИ5.30
 
Вложений: 1
В уже установленный и терпимо работающий 4.12.2+САСАктив5.3+САС ИИ5.30 попробовал всунуть Энджинмод2.7+ Джетэра1.33 (правда, здесь уточняю - не ставил фиксы к 1.32 и бомбы, и все, что к 1.32, - сразу 1.3+1.33) - лог внизу - ничего не пошло, крах загрузки на 60%. Характерно, что и без Эндж+ДжетЭра никакой крафт или другие моды на САС Акт5.3 не устанавливались. Правда, все пропертис в и18 у меня русифицированы, может это не дает? Уже 2 раза пытался преодолеть этот феномен, но безуспешно. Есть у кого соображения по этому поводу, сообщество?

tarakan67 17.12.2013 17:04

Цитата:

Сообщение от Toobone (Сообщение 123838)
В уже установленный и терпимо работающий 4.12.2+САСАктив5.3+САС ИИ5.30 попробовал всунуть Энджинмод2.7+ Джетэра1.33 (правда, здесь уточняю - не ставил фиксы к 1.32 и бомбы, и все, что к 1.32, - сразу 1.3+1.33) - лог внизу - ничего не пошло, крах загрузки на 60%. Характерно, что и без Эндж+ДжетЭра никакой крафт или другие моды на САС Акт5.3 не устанавливались. Правда, все пропертис в и18 у меня русифицированы, может это не дает? Уже 2 раза пытался преодолеть этот феномен, но безуспешно. Есть у кого соображения по этому поводу, сообщество?

В логе не нашёл загрузки СФС-ок от Джетэры, может в этом проблема?

Foker 42 17.12.2013 17:05

Возможно, следует установить баттонс 10.5 в папку #SAS/STD/gui/game
http://www.mediafire.com/download/63...est_10Nov13.7z

He113 17.12.2013 17:06

я не понял момент
Цитата:

сразу 1.3+1.33
, 1,33 ставится не поверх какой либо версии а вместо, то\е как минимум 1,3 надо прибить перед установкой

Toobone 17.12.2013 17:26

Цитата:

Сообщение от Foker 42 (Сообщение 123844)
Возможно, следует установить баттонс 10.5 в папку #SAS/STD/gui/game
http://www.mediafire.com/download/63...est_10Nov13.7z

Стоит

deSAD 17.12.2013 17:26

Цитата:

Сообщение от Toobone (Сообщение 123838)
... Есть у кого соображения по этому поводу, сообщество?

the 60% crash troubleshooter
Цитата:

This article assumes that you have a modded version of IL2 that worked in the past, but that now crashed to desktop at 60% load after you installed a new plane.

Here is a step by step guide that will get you out of it 99.9 % of the time.

The 60% crash explained :

60 % crashes are caused by a broken chain of reference between your games air.ini file, the contents of your mods folder, and your buttons file.

When you load the game, it boots up these three things in the following way.

1) It loads the air.ini file, which tells it what planes to load.
2) It then goes to look for these planes, first in your mods folder, and if it doesn’t not find them there, it looks for them in your game’s own “SFS” files.
3) When it finds the plane, the plane’s files will tell it which Flightmodel data’s needed for that plane. Flightmodel data is contained in the Buttons file.

If at any stage in this process, the game is told to look for something and it cannot find it, it will crash back to desktop at 60% loading time.

Что, собственно, у вас и наблюдается ...
Код:

...
[21:11:41] Spawn.get( com.maddox.il2.objects.air.F_86A5 ): com.maddox.il2.objects.air.F_86A5
[21:11:41] java.lang.ClassNotFoundException: com.maddox.il2.objects.air.F_86A5
...
[21:11:41] Spawn.get( com.maddox.il2.objects.air.F_86D40 ): com.maddox.il2.objects.air.F_86D40
[21:11:41] java.lang.ClassNotFoundException: com.maddox.il2.objects.air.F_86D40
...
[21:11:41] Spawn.get( com.maddox.il2.objects.air.F_86D45 ): com.maddox.il2.objects.air.F_86D45
[21:11:41] java.lang.ClassNotFoundException: com.maddox.il2.objects.air.F_86D45
...

Так что советовал бы вам внимательно изучить "Steps for fixing your 60% crash" в той же теме на SAS'е :rtfm:

Toobone 17.12.2013 17:27

Цитата:

Сообщение от He113 (Сообщение 123845)
я не понял момент , 1,33 ставится не поверх какой либо версии а вместо, то\е как минимум 1,3 надо прибить перед установкой

1.33 на сасе указан как фикс к 1.3, так и ставил: 1.3, потом 1.33 фикс.

Toobone 17.12.2013 17:30

Цитата:

Сообщение от deSAD (Сообщение 123847)
the 60% crash troubleshooter
Что, собственно, у вас и наблюдается ...
Код:

...
[21:11:41] Spawn.get( com.maddox.il2.objects.air.F_86A5 ): com.maddox.il2.objects.air.F_86A5
[21:11:41] java.lang.ClassNotFoundException: com.maddox.il2.objects.air.F_86A5
...
[21:11:41] Spawn.get( com.maddox.il2.objects.air.F_86D40 ): com.maddox.il2.objects.air.F_86D40
[21:11:41] java.lang.ClassNotFoundException: com.maddox.il2.objects.air.F_86D40
...
[21:11:41] Spawn.get( com.maddox.il2.objects.air.F_86D45 ): com.maddox.il2.objects.air.F_86D45
[21:11:41] java.lang.ClassNotFoundException: com.maddox.il2.objects.air.F_86D45
...

Так что советовал бы вам внимательно изучить "Steps for fixing your 60% crash" в той же теме на SAS'е :rtfm:

Все эти самолеты вписаны в аир.ини, оба СФС архива ДЖТэры лежат в своей папке в корне, тем не менее ява-машина их не видит:(

deSAD 17.12.2013 17:32

Цитата:

Сообщение от He113 (Сообщение 123845)
я не понял момент , 1,33 ставится не поверх какой либо версии а вместо, то\е как минимум 1,3 надо прибить перед установкой

Неправда ваша :rolleyes: 1.33 в "чистом виде" не существует. Есть 1.3, к которому были выпущены два хотфикса - 1.32 и 1.33, причем 1.33 включает в себя 1.32, вследствие чего ссылки на скачивание 1.32 были удалены. Т. о., чтобы (за)получить 1.33, нужно установить 1.3 и накатить поверх хотфикс, подымающий Jet Era до версии 1.33.

Toobone 17.12.2013 17:33

Цитата:

Сообщение от tarakan67 (Сообщение 123843)
В логе не нашёл загрузки СФС-ок от Джетэры, может в этом проблема?

Ил их не видит почему-то, в этом и есть главная проблема:ok: Некорректная загрузка архива?

deSAD 17.12.2013 17:36

Цитата:

Сообщение от Toobone (Сообщение 123849)
Все эти самолеты вписаны в аир.ини, оба СФС архива ДЖТэры лежат в своей папке в корне, тем не менее ява-машина их не видит:(

"Не видит" по одной-единственной причине, которая и указана - 60 % crashes are caused by a broken chain of reference between your games air.ini file, the contents of your mods folder, and your buttons file - т. е. у вас имеет место быть несоответсвие между содержимым air.ini, "модными" папками и "батоном". В противном случае и ошибки были бы другие.

deSAD 17.12.2013 17:37

Цитата:

Сообщение от Toobone (Сообщение 123851)
Ил их не видит почему-то, в этом и есть главная проблема:ok:

А что это за "своя папка", в которой лежат .sfs от Jet Era? :rolleyes:

Toobone 17.12.2013 17:50

Цитата:

Сообщение от deSAD (Сообщение 123853)
А что это за "своя папка", в которой лежат .sfs от Jet Era? :rolleyes:

Я не за своим ПК, потому название не помню, два слова, СФС и еще что-то в имени папки, внутри два архива 01 и 02 громадных размеров.

tarakan67 17.12.2013 17:51

Цитата:

Сообщение от Toobone (Сообщение 123849)
Все эти самолеты вписаны в аир.ини, оба СФС архива ДЖТэры лежат в своей папке в корне, тем не менее ява-машина их не видит:(

А должны лежать в папке SFS_AUTO

Toobone 17.12.2013 17:57

Цитата:

Сообщение от deSAD (Сообщение 123852)
"Не видит" по одной-единственной причине, которая и указана - 60 % crashes are caused by a broken chain of reference between your games air.ini file, the contents of your mods folder, and your buttons file - т. е. у вас имеет место быть несоответсвие между содержимым air.ini, "модными" папками и "батоном". В противном случае и ошибки были бы другие.

Баттон 10.5, работал и без джетэра, в аир ини вписаны все крафты из джетэра тхт, вот только эта папка с сфс архивами возможно не там лежит, но это распаковщик туда кинул (часто такое бывает, приходится передвигать). Так и называется SFS_AUTO, спасибо, что напомнили.
---------------------------------------------------------------------
И что, слэши перед именем крафта в АИР ИНИ помогают?

Toobone 17.12.2013 18:05

Тут немного не в тему, но , например, не получается установить Ми-24-1024пикса в 4.10.1 , хотя Л-139-159,которые он требует, все версии с оружием кроме Ф (тоже не хочет ставать) летают и стреляют.

Toobone 18.12.2013 15:26

Вложений: 2
Вот по новой переустановил 1.33, без бомб к 4.10.1, в сфс ауто вложил то, что было в сас сфс, но не удалял старые (нужно было?) сфс от 5.30,лог внизу.Другой лог - после удаления записи джетов только в аир ини.

tarakan67 18.12.2013 16:25

Цитата:

Сообщение от Toobone (Сообщение 123902)
Вот по новой переустановил 1.33, без бомб к 4.10.1, в сфс ауто вложил то, что было в сас сфс, но не удалял старые (нужно было?) сфс от 5.30,лог внизу.Другой лог - после удаления записи джетов только в аир ини.

Не видит классов Джет эры. Папка 000_1956_Core_v13 у тебя где находится?

Toobone 18.12.2013 18:30

Цитата:

Сообщение от tarakan67 (Сообщение 123910)
Не видит классов Джет эры. Папка 000_1956_Core_v13 у тебя где находится?

In #SAS.Как и указано в инструкции к ней.

tarakan67 18.12.2013 19:09

Цитата:

Сообщение от Toobone (Сообщение 123917)
In #SAS.Как и указано в инструкции к ней.

Тогда не знаю. Всё вроде правильно, а классы самолётов из джет эры не находит


Текущее время: 15:48. Часовой пояс GMT +3.

Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd. Перевод: zCarot